{% extends 'base.html.twig' %}

{% block title %}Simplon Gear - Index{% endblock %}

{% block body %}
<div class="container">
    {{ include('includes/carousel.html.twig', { 'articles': articles }) }}
    <div class="row row-eq-height">
        <div class="col-sm-12 col-lg-6">
            <div class="row">
                <div class="card-group">
                    {% for owner in owners|slice(0, 3) %}
                        <div class="col-12 col-md-6 py-3">
                            <div class="card border mx-auto">
                                <img src="{{owner.photo}}" class="card-img-top w-100" alt="" style="object-fit: cover; overflow: hidden; height: 30vh">
                                <div class="card-body">
                                    <h5 class="card-title text-center"><a href="{{ path('all-articles', {'owner': owner.id}) }}">{{owner.name}}</a></h5>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                    <div class="col-12 col-md-6 py-3">
                        <div class="card border mx-auto h-100">
                            <div class="card-body align-middle">
                                <h3 class="card-title text-center" style="position:relative;top:50%; transform: translateY(-50%);">
                                    <a href="{{ path('all-articles', {'sort': 'ASC'}) }}">Discover</a>
                                </h3>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-sm-12 col-lg-6 text-white text-center py-3 order-first" style="display: table-cell">
            <div class="h-100 bg-dark" style="display: table; table-layout: fixed;">
                {{ include('includes/presentation.html.twig')}}
            </div>
        </div>
    </div>
</div>
{% endblock %}